Bug 19867 - HouseboundRoles.t is failing randomly
Summary: HouseboundRoles.t is failing randomly
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-21 17:35 UTC by Jonathan Druart
Modified: 2018-06-04 20:15 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19867: Prevent HouseboundRoles.t to fail randomly (1.24 KB, patch)
2017-12-21 17:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19867: Prevent HouseboundRoles.t to fail randomly (1.45 KB, patch)
2017-12-21 18:08 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-12-21 17:35:13 UTC
https://jenkins.koha-community.org/job/Koha_Master_D8/321/console

#   Failed test 'Correct count of choosers.'
#   at t/db_dependent/Patron/HouseboundRoles.t line 79.
#          got: '2'
#     expected: '1'
# Looks like you failed 1 test of 6.
[16:35:39] t/db_dependent/Patron/HouseboundRoles.t
Comment 1 Jonathan Druart 2017-12-21 17:47:33 UTC
Created attachment 70072 [details] [review]
Bug 19867: Prevent HouseboundRoles.t to fail randomly

Here is just a guess but we need to tell TestBuilder the values of
housebound_deliverer and housebound_chooser to make sure it will not be
1

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 2 Tomás Cohen Arazi 2017-12-21 18:08:32 UTC
Created attachment 70076 [details] [review]
Bug 19867: Prevent HouseboundRoles.t to fail randomly

Here is just a guess but we need to tell TestBuilder the values of
housebound_deliverer and housebound_chooser to make sure it will not be
1

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
I manually tested setting to the opposite values in the tests, and
verified those values made the tests fail due to count problems.
The fix is valid.
Comment 3 Jonathan Druart 2017-12-21 18:41:27 UTC
Pushed to master for 18.05, thanks Tomas for the quick review!
Comment 4 Nick Clemens 2018-01-15 16:43:35 UTC
Awesome work all, pushed to stable for 17.11.02
Comment 5 Fridolin SOMERS 2018-01-19 09:08:40 UTC
Pushed to 17.05.x for v17.05.08